import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent , IonButton, IonCard, IonCol, IonGrid, IonItem, IonLabel, IonRow ,IonSearchbar ,IonButtons, IonImg ,IonIcon,IonCardContent, IonCardHeader, IonCardTitle} from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';


import { Router } from '@angular/router';





@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonButton, IonGrid, IonRow, IonCol, IonCard, IonItem, IonLabel,IonSearchbar ,IonButtons, IonImg,
IonIcon,IonCardContent,IonCardHeader,IonCardTitle
   ],
})
export class Tab1Page {
 constructor(private router: Router) {}

  navigateToInquiry() {
    this.router.navigate(['/tabs/inquiry']);
  }

  navigateToHealthManagement() {
    this.router.navigate(['/health-management']);
  }

  navigateToMedicineRecommendations() {
    this.router.navigate(['/medicine-recommendations']);
  }
  
  navigateToDiagnosis() {
    this.router.navigate(['/diagnosis']);
  }

  navigateToAbout() {
    this.router.navigate(['/about']);
  }

}

